
void _efl_exe_signal(Eo *obj, Efl_Exe_Data *pd, Efl_Exe_Signal sig);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_exe_signal, EFL_FUNC_CALL(sig), Efl_Exe_Signal sig);

void _efl_exe_exe_flags_set(Eo *obj, Efl_Exe_Data *pd, Efl_Exe_Flags flags);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_exe_flags_set, EFL_FUNC_CALL(flags), Efl_Exe_Flags flags);

Efl_Exe_Flags _efl_exe_exe_flags_get(const Eo *obj, Efl_Exe_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_exe_flags_get, Efl_Exe_Flags, 0);

int _efl_exe_exit_signal_get(const Eo *obj, Efl_Exe_Data *pd);


static Eina_Value
__eolian_efl_exe_exit_signal_get_reflect(const Eo *obj)
{
   int val = efl_exe_exit_signal_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_exe_exit_signal_get, int, 0);

int _efl_exe_pid_get(const Eo *obj, Efl_Exe_Data *pd);


static Eina_Value
__eolian_efl_exe_pid_get_reflect(const Eo *obj)
{
   int val = efl_exe_pid_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_exe_pid_get, int, 0);

void _efl_exe_env_set(Eo *obj, Efl_Exe_Data *pd, Efl_Core_Env *env);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_exe_env_set, EFL_FUNC_CALL(env), Efl_Core_Env *env);

Efl_Core_Env *_efl_exe_env_get(const Eo *obj, Efl_Exe_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_exe_env_get, Efl_Core_Env *, NULL);

Efl_Object *_efl_exe_efl_object_constructor(Eo *obj, Efl_Exe_Data *pd);


void _efl_exe_efl_object_destructor(Eo *obj, Efl_Exe_Data *pd);


void _efl_exe_efl_task_priority_set(Eo *obj, Efl_Exe_Data *pd, Efl_Task_Priority priority);


Efl_Task_Priority _efl_exe_efl_task_priority_get(const Eo *obj, Efl_Exe_Data *pd);


Eina_Bool _efl_exe_efl_task_run(Eo *obj, Efl_Exe_Data *pd);


void _efl_exe_efl_task_end(Eo *obj, Efl_Exe_Data *pd);


Eina_Error _efl_exe_efl_io_closer_close(Eo *obj, Efl_Exe_Data *pd);


Eina_Bool _efl_exe_efl_io_closer_closed_get(const Eo *obj, Efl_Exe_Data *pd);


Eina_Error _efl_exe_efl_io_reader_read(Eo *obj, Efl_Exe_Data *pd, Eina_Rw_Slice *rw_slice);


void _efl_exe_efl_io_reader_can_read_set(Eo *obj, Efl_Exe_Data *pd, Eina_Bool can_read);


Eina_Bool _efl_exe_efl_io_reader_can_read_get(const Eo *obj, Efl_Exe_Data *pd);


void _efl_exe_efl_io_reader_eos_set(Eo *obj, Efl_Exe_Data *pd, Eina_Bool is_eos);


Eina_Bool _efl_exe_efl_io_reader_eos_get(const Eo *obj, Efl_Exe_Data *pd);


Eina_Error _efl_exe_efl_io_writer_write(Eo *obj, Efl_Exe_Data *pd, Eina_Slice *slice, Eina_Slice *remaining);


void _efl_exe_efl_io_writer_can_write_set(Eo *obj, Efl_Exe_Data *pd, Eina_Bool can_write);


Eina_Bool _efl_exe_efl_io_writer_can_write_get(const Eo *obj, Efl_Exe_Data *pd);


static Eina_Bool
_efl_exe_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_EXE_EXTRA_OPS
#define EFL_EXE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_exe_signal, _efl_exe_signal),
      EFL_OBJECT_OP_FUNC(efl_exe_flags_set, _efl_exe_exe_flags_set),
      EFL_OBJECT_OP_FUNC(efl_exe_flags_get, _efl_exe_exe_flags_get),
      EFL_OBJECT_OP_FUNC(efl_exe_exit_signal_get, _efl_exe_exit_signal_get),
      EFL_OBJECT_OP_FUNC(efl_exe_pid_get, _efl_exe_pid_get),
      EFL_OBJECT_OP_FUNC(efl_exe_env_set, _efl_exe_env_set),
      EFL_OBJECT_OP_FUNC(efl_exe_env_get, _efl_exe_env_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_exe_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_exe_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_task_priority_set, _efl_exe_efl_task_priority_set),
      EFL_OBJECT_OP_FUNC(efl_task_priority_get, _efl_exe_efl_task_priority_get),
      EFL_OBJECT_OP_FUNC(efl_task_run, _efl_exe_efl_task_run),
      EFL_OBJECT_OP_FUNC(efl_task_end, _efl_exe_efl_task_end),
      EFL_OBJECT_OP_FUNC(efl_io_closer_close, _efl_exe_efl_io_closer_close),
      EFL_OBJECT_OP_FUNC(efl_io_closer_closed_get, _efl_exe_efl_io_closer_closed_get),
      EFL_OBJECT_OP_FUNC(efl_io_reader_read, _efl_exe_efl_io_reader_read),
      EFL_OBJECT_OP_FUNC(efl_io_reader_can_read_set, _efl_exe_efl_io_reader_can_read_set),
      EFL_OBJECT_OP_FUNC(efl_io_reader_can_read_get, _efl_exe_efl_io_reader_can_read_get),
      EFL_OBJECT_OP_FUNC(efl_io_reader_eos_set, _efl_exe_efl_io_reader_eos_set),
      EFL_OBJECT_OP_FUNC(efl_io_reader_eos_get, _efl_exe_efl_io_reader_eos_get),
      EFL_OBJECT_OP_FUNC(efl_io_writer_write, _efl_exe_efl_io_writer_write),
      EFL_OBJECT_OP_FUNC(efl_io_writer_can_write_set, _efl_exe_efl_io_writer_can_write_set),
      EFL_OBJECT_OP_FUNC(efl_io_writer_can_write_get, _efl_exe_efl_io_writer_can_write_get),
      EFL_EXE_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"exit_signal", NULL, __eolian_efl_exe_exit_signal_get_reflect},
      {"pid", NULL, __eolian_efl_exe_pid_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_exe_class_desc = {
   EO_VERSION,
   "Efl.Exe",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Exe_Data),
   _efl_exe_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_exe_class_get, &_efl_exe_class_desc, EFL_TASK_CLASS, EFL_IO_READER_INTERFACE, EFL_IO_WRITER_INTERFACE, EFL_IO_CLOSER_INTERFACE, EFL_CORE_COMMAND_LINE_MIXIN, NULL);
